<div
  class="source-record {{if (and @isEditor (not this.record)) 'empty'}}"
  {{on "props-update" this.updateProps}}
  data-path={{if @path (concat @path ".data.source")}}
  data-type="data source"
  data-name={{if @path @value.name}}
  data-gid={{@value.gid}}
  data-editor="source-record"
  {{did-insert this.setup}}
  {{did-update
    this.setup
    @model
    @model.changeCount
    @value
    @value.source
    @value.modelKey
  }}
  ...attributes
>
  {{#if this.record}}
    {{yield this.record}}
  {{else if @isEditor}}
    {{t "message-missing-record"}}
  {{/if}}
</div>